.header-banner {
    background-image: url("rm218batch4-ning-27.jpg");
    background-size: cover;        /* make it fill the element */
    background-position: center;
    font-weight: 700;
    font-size: 2.5rem;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.6);
    border-radius: 8px;
  }

.nav-link:hover {
    background-color: #0d6efd;
    color: white !important;
    border-radius: 0.25rem;
  }
.nav-link.active {
    background-color: #0d6efd;
    color: white !important;
  }
  
.copyBtn {
    background: transparent;
    border: none;
  }
  
.copyBtn:hover i {
    color: blue;
  }

  .table-responsive {
    max-height: 400px;
    overflow-y: auto;
  }
  
  .table-responsive .table {
    font-size: 14px;
    width: fit-content;
    margin: 0 auto;
    table-layout: auto;
  }
  
  .table-responsive .table th,
  .table-responsive .table td {
    padding: 2px 4px;
    line-height: 1.2;
    word-break: normal;        /* 👈 don’t break inside words */
    overflow-wrap: break-word;
    
  }
  
  .table-responsive th {
    font-size: 10px;
  }
  
  .custom-textarea::placeholder {
    font-size: 18px; /* bigger than actual text */
    color: #888;     /* optional */
  }

  .row-unclear {
    background-color: #fff3cd; /* yellow-ish */
  }
  
  .row-resistant {
    background-color: #f8d7da; /* red */
  }
  
  .row-sensitive {
    background-color: #d1ecf1; /* blue */
  }
  .checked-row td {
    background-color: #d4edda !important; /* overrides bootstrap */
  }
 